/*	MAP public head file				*/
/*	written by Liu Zhiguo 2002-03-27	*/
/*	version 1.0							*/
/*	--------------------------------	*/

#ifndef _MAP_PUBLIC
#define _MAP_PUBLIC

void mapp_log_debug(const char *fmt, ...);

u8	 bytestrtobitstr(u8 *bit_str,u8 *byte_str,u8 bit_len);
u8	 bitstrtobytestr(u8 *byte_str,u8 *bit_str,u8 bit_len);
u8	 tele_bittostr(u16 tele_data,u8 *tele_str,u8 ss_flag);
u16	 tele_strtobit(u8 *tele_str,u8 tele_len);
u8	 bearer_bittostr(u32 bearer_data, u8 *bearer_str,u8 ss_flag);
u32	 bearer_strtobit(u8 *bearer_str,u8 bearer_len);
void get_sccpadd(struct	SCCP_ADDRESS *add_ptr,u8 *data);
void set_sccpadd(struct SCCP_ADDRESS *add_ptr,u8 *data);
u8	 map_com_ftos(struct MapComSrv_struct *map_com,u8 *data_flow);
void map_com_stof(struct MapComSrv_struct *com_ptr,u8 *data_flow,u8 delimiter_flag);
u8	 map_opr_ftos(struct MapOprData_struct *opr_ptr,u8 *data_flow);
void map_opr_stof(struct MapOprData_struct *opr_ptr,u8 *data_flow,u8 delimiter_flag);

char *is41_sequenceTag(char *tag,int sequence);

#endif
